import { eq } from "drizzle-orm";
import { db } from "../db/db.controller.js";
import { logs } from "../db/schema/logs.schema.js";
import { emitToRoom } from "../socket.io/roomEmitter.socket.js";

export async function handleDockScanInsertedNotification(id: string) {
	const row = await db.query.dockDoorScans.findFirst({
		where: eq(logs.id, id),
	});

	if (!row) return;

	// send only to the current dock door
	if (row.dockId) {
		emitToRoom(`dockDoorLoading:${row.dockId}`, row);
	}
}
